<?php
class VendorName_ModuleName_Model_ObserverModelName
{
    /**
     * @param Varien_Event_Observer $observer
     * @return void
     */
    public function prgdprProcessorsCollectAfter($observer)
    {
        /** @var VendorName_ModuleName_Model_ProcessorModelName $processor */
        $processor = Mage::getModel('groupedClassName/processorModelName');

        /** @var Plumrocket_GDPR_Model_AbstractGdprTool $tool */
        $tool = $observer->getTool();

        $tool->addProcessorWithSort($processor, 'before', 'customer');
    }
}
